## org.apache.commons.configuration
Class ConfigurationFactory

    java.lang.Object
      org.apache.commons.configuration.ConfigurationFactory

Deprecated. Use `DefaultConfigurationBuilder` instead; this class provides the same features as ConfigurationFactory plus some more; it can also process the same configuration definition files.

    @Deprecated
    public class ConfigurationFactory

extends Object

Factory class to create a CompositeConfiguration from a .xml file using Digester. By default it can handle the Configurations from commons- configuration. If you need to add your own, then you can pass in your own digester rules to use. It is also namespace aware, by providing a digesterRuleNamespaceURI.

Note: Almost all of the features provided by this class and many more are also available for the `DefaultConfigurationBuilder` class. `DefaultConfigurationBuilder` also has a more robust merge algorithm for constructing combined configurations. So it is recommended to use this class instead of `ConfigurationFactory`.

Version:
  $Id: ConfigurationFactory.java 1209685 2011-12-02 20:47:44Z oheger $
Author:
  Eric Pugh, Henning P. Schmiedehausen

Nested Class Summary
`static class` `ConfigurationFactory.AdditionalConfigurationData` Deprecated. A simple data class that holds all information about a configuration from the `<additional>` section.
`static class` `ConfigurationFactory.ConfigurationBuilder` Deprecated. An internally used helper class for constructing the composite configuration object.
`class` `ConfigurationFactory.DigesterConfigurationFactory` Deprecated. A base class for digester factory classes.
`class` `ConfigurationFactory.FileConfigurationFactory` Deprecated. A tiny inner class that allows the Configuration Factory to let the digester construct FileConfiguration objects that already have the correct base Path set.
`class` `ConfigurationFactory.PropertiesConfigurationFactory` Deprecated. A factory that returns an XMLPropertiesConfiguration for .xml files and a PropertiesConfiguration for the others.
`class` `ConfigurationFactory.PropertyListConfigurationFactory` Deprecated. A factory that returns an XMLPropertyListConfiguration for .xml files and a PropertyListConfiguration for the others.

Constructor Summary
`ConfigurationFactory()` Deprecated. Constructor
`ConfigurationFactory(String configurationFileName)` Deprecated. Constructor with ConfigurationFile Name passed

Method Summary
`protected void` `enableDigesterSubstitutor(org.apache.commons.digester.Digester digester)` Deprecated. Adds a substitutor to interpolate system properties
`String` `getBasePath()` Deprecated. Returns the Base path from which this Configuration Factory operates.
`Configuration` `getConfiguration()` Deprecated. Return the configuration provided by this factory.
`String` `getConfigurationFileName()` Deprecated. Returns the configurationFile.
`URL` `getConfigurationURL()` Deprecated. Returns the URL of the configuration file to be loaded.
`String` `getDigesterRuleNamespaceURI()` Deprecated. Returns the digesterRuleNamespaceURI.
`URL` `getDigesterRules()` Deprecated. Returns the digesterRules.
`protected void` `initDefaultDigesterRules(org.apache.commons.digester.Digester digester)` Deprecated. Initializes the parsing rules for the default digester This allows the Configuration Factory to understand the default types: Properties, XML and JNDI.
`protected void` `initDigesterSectionRules(org.apache.commons.digester.Digester digester, String matchString, boolean additional)` Deprecated. Sets up digester rules for a specified section of the configuration info file.
`void` `setBasePath(String basePath)` Deprecated. Sets the basePath for all file references from this Configuration Factory.
`void` `setConfigurationFileName(String configurationFileName)` Deprecated. Sets the configurationFile.
`void` `setConfigurationURL(URL url)` Deprecated. Sets the URL of the configuration to load.
`void` `setDigesterRuleNamespaceURI(String digesterRuleNamespaceURI)` Deprecated. Sets the digesterRuleNamespaceURI.
`void` `setDigesterRules(URL digesterRules)` Deprecated. Sets the digesterRules.
`protected void` `setupDigesterInstance(org.apache.commons.digester.Digester digester, String matchString, org.apache.commons.digester.ObjectCreationFactory factory, String method, boolean additional)` Deprecated. Sets up digester rules for a configuration to be loaded.
`protected void` `setupUnionRules(org.apache.commons.digester.Digester digester, String matchString)` Deprecated. Sets up rules for configurations in the additional section.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationFactory

    public ConfigurationFactory()

  Deprecated.
  Constructor

### ConfigurationFactory

    public ConfigurationFactory(String configurationFileName)

  Deprecated.
  Constructor with ConfigurationFile Name passed

  Parameters:
    `configurationFileName` - The path to the configuration file

Method Detail

### getConfiguration

    public Configuration getConfiguration()
                                   throws ConfigurationException

  Deprecated.
  Return the configuration provided by this factory. It loads the configuration file which is a XML description of the actual configurations to load. It can contain various different types of configuration, e.g. Properties, XML and JNDI.

  Returns:
    A Configuration object
  Throws:
    `ConfigurationException` - A generic exception that we had trouble during the loading of the configuration data.

### getConfigurationFileName

    public String getConfigurationFileName()

  Deprecated.
  Returns the configurationFile.

  Returns:
    The name of the configuration file. Can be null.

### setConfigurationFileName

    public void setConfigurationFileName(String configurationFileName)

  Deprecated.
  Sets the configurationFile.

  Parameters:
    `configurationFileName` - The name of the configurationFile to use.

### getConfigurationURL

    public URL getConfigurationURL()

  Deprecated.
  Returns the URL of the configuration file to be loaded.

  Returns:
    the URL of the configuration to load

### setConfigurationURL

    public void setConfigurationURL(URL url)

  Deprecated.
  Sets the URL of the configuration to load. This configuration can be either specified by a file name or by a URL.

  Parameters:
    `url` - the URL of the configuration to load

### getDigesterRules

    public URL getDigesterRules()

  Deprecated.
  Returns the digesterRules.

  Returns:
    URL

### setDigesterRules

    public void setDigesterRules(URL digesterRules)

  Deprecated.
  Sets the digesterRules.

  Parameters:
    `digesterRules` - The digesterRules to set

### enableDigesterSubstitutor

    protected void enableDigesterSubstitutor(org.apache.commons.digester.Digester digester)

  Deprecated.
  Adds a substitutor to interpolate system properties

  Parameters:
    `digester` - The digester to which we add the substitutor

### initDefaultDigesterRules

    protected void initDefaultDigesterRules(org.apache.commons.digester.Digester digester)

  Deprecated.
  Initializes the parsing rules for the default digester This allows the Configuration Factory to understand the default types: Properties, XML and JNDI. Two special sections are introduced: `<override>` and `<additional>`.

  Parameters:
    `digester` - The digester to configure

### initDigesterSectionRules

    protected void initDigesterSectionRules(org.apache.commons.digester.Digester digester,
                                            String matchString,
                                            boolean additional)

  Deprecated.
  Sets up digester rules for a specified section of the configuration info file.

  Parameters:
    `digester` - the current digester instance
    `matchString` - specifies the section
    `additional` - a flag if rules for the additional section are to be added

### setupDigesterInstance

    protected void setupDigesterInstance(org.apache.commons.digester.Digester digester,
                                         String matchString,
                                         org.apache.commons.digester.ObjectCreationFactory factory,
                                         String method,
                                         boolean additional)

  Deprecated.
  Sets up digester rules for a configuration to be loaded.

  Parameters:
    `digester` - the current digester
    `matchString` - the pattern to match with this rule
    `factory` - an ObjectCreationFactory instance to use for creating new objects
    `method` - the name of a method to be called or null for none
    `additional` - a flag if rules for the additional section are to be added

### setupUnionRules

    protected void setupUnionRules(org.apache.commons.digester.Digester digester,
                                   String matchString)

  Deprecated.
  Sets up rules for configurations in the additional section.

  Parameters:
    `digester` - the current digester
    `matchString` - the pattern to match with this rule

### getDigesterRuleNamespaceURI

    public String getDigesterRuleNamespaceURI()

  Deprecated.
  Returns the digesterRuleNamespaceURI.

  Returns:
    A String with the digesterRuleNamespaceURI.

### setDigesterRuleNamespaceURI

    public void setDigesterRuleNamespaceURI(String digesterRuleNamespaceURI)

  Deprecated.
  Sets the digesterRuleNamespaceURI.

  Parameters:
    `digesterRuleNamespaceURI` - The new digesterRuleNamespaceURI to use

### getBasePath

    public String getBasePath()

  Deprecated.
  Returns the Base path from which this Configuration Factory operates. This is never null. If you set the BasePath to null, then a base path according to the configuration to load is returned.

  Returns:
    The base Path of this configuration factory.

### setBasePath

    public void setBasePath(String basePath)

  Deprecated.
  Sets the basePath for all file references from this Configuration Factory. Normally a base path need not to be set because it is determined by the location of the configuration file to load. All relative pathes in this file are resolved relative to this file. Setting a base path makes sense if such relative pathes should be otherwise resolved, e.g. if the configuration file is loaded from the class path and all sub configurations it refers to are stored in a special config directory.

  Parameters:
    `basePath` - The new basePath to set.

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.